The installer has encountered an unexpected error.

Asked By 0 points N/A Posted on -
qa-featured

Hi there,

I'm running Windows XP SP2 and have ver1.1 and 2.0 installed already. When I tried to install the .Net Framework on my laptop, I received this error message: "The installer has encountered an unexpected error installing this package. This may indicate a problem with this package. The error code is 2908."

Here is a picture to better describe my problem…

Please let me know if you are able to advise me.

SHARE
Best Answer by Marry Richard
Best Answer
Best Answer
Answered By 0 points N/A #82398

The installer has encountered an unexpected error.

qa-featured

Hi Guys,

This may be due to an error in your registry. Do you have a registry checking program?
 
Try clearing up your Temporary Internal folder by going to Start -> Run. Type “%temp%” and hit Enter.
Delete all the files present there – this will help if it is a corrupted download.
 
Manual Fix :-
 
You can refer to the article: http://support.microsoft.com/kb/2286198 – It contains both manual and permanent fix it files to solve the problem.
 
Last but not the least, if there is a Permissions problem with the reg key e. g. where the Fixit is trying to Export a backup or when it attempts to delete the key Data.
 
This error may be relates to the installed security software i. e. AV/security that must continuously keep monitoring the settings of the registry.
 
See ya.
Answered By 0 points N/A #82400

The installer has encountered an unexpected error.

qa-featured

Hello,

The cause of your problem lies because the .Net framework must be installed in the Windows Desktop prior to installing the Virtual Desktop Agent. You should do that first.

Upon running the auto run of Virtual Desktop, this by default requires checking of the system and determining the installation of the .Net framework. If it's not yet installed, you are then required to install the .Net Framework 3.5. Try to perform this task to see the result.

Answered By 562905 points N/A #82401

The installer has encountered an unexpected error.

qa-featured

If the ver1.1 and 2.0 you mentioned refers to versions of Microsoft .NET Framework then the problem may be caused by a conflict in different versions of this program. Normally, if you already have older versions of Microsoft .NET Framework installed on your computer like the ones you mentioned and you want to install a somewhat newer version, you don’t need to keep those older versions on your computer because the functions they offer are already available in the newer version you’re going to install and this will surely create conflict between these components like what’s happening right now.

To fix this problem and avoid it in the future uninstall any older versions of Microsoft .NET Framework and then install the latest version. You can download the Microsoft .NET Framework 4.0 from Microsoft site

Login/Register to Answer

Related Questions